Bug 226651 - net/freerdp and net/remmina need urgent upgrade
Summary: net/freerdp and net/remmina need urgent upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kyle Evans
URL: https://github.com/FreeRDP/FreeRDP/is...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-16 01:14 UTC by Antenore Gatta
Modified: 2018-04-27 00:57 UTC (History)
4 users (show)

See Also:
woodsb02: merge-quarterly-


Attachments
patch-ffmpeg29 file (1011 bytes, patch)
2018-03-19 21:56 UTC, Henrik Hudson
no flags Details | Diff
patch-winpr_libwinpr_utils.ssl.c file (915 bytes, text/plain)
2018-03-19 21:56 UTC, Henrik Hudson
no flags Details
nla.c patch (633 bytes, text/plain)
2018-03-19 22:50 UTC, Henrik Hudson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antenore Gatta 2018-03-16 01:14:30 UTC
The 13th of March, Microsoft released some Service Pack, ie KB4088776 [1] that brakes FreeRDP and consequently all the software using FreeRDP, like Remmina, Vinagre, KRDC, etc.

The FreeRDP team has fixed the problem via the commit https://github.com/FreeRDP/FreeRDP/pull/4487/commits/e7ae3f6babc881d893411a5ada9156abe8525b2f

Therefore, without this fix, all the client applications using FreeRDP, won't be able to connect to these Windows versions that have the Service Pack specified between the brackets. 

    Windows 10 (KB4088776)
    Windows Server 2016 (KB4088787)
    Windows 8.1 (KB4088876)
    Windows Server 2012 R2 (KB4088876)
    Windows 7 SP1 (KB4088875)
    Windows Server 2008 R2 SP1 (KB4088875)

Is it possible to update both software, FreeRDP and Remmina to the latest commits available?

I don't know if Vinagre and KRDC needs to be updated as well.

Thanks in advance!!!!

[1] https://support.microsoft.com/en-us/help/4088776/windows-10-update-kb4088776
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-03-16 04:53:40 UTC
Assign to freerdp maintainer and Cc: remmina maintainer.
Comment 2 Kyle Evans freebsd_committer 2018-03-16 13:51:56 UTC
Hi,

I'm out of town until Sunday/Monday timeframe- I'll be able to work on this at that point.
Comment 3 Antenore Gatta 2018-03-16 16:11:39 UTC
Thank you, no problem, if you need help let me know.

In our wiki we have a simple and not very well curated procedure we use to build both

https://github.com/FreeRDP/Remmina/wiki/Compile-on-FreeBSD

Sorry for the bad quality...
Comment 4 Antenore Gatta 2018-03-19 15:35:30 UTC
I've pushed some fixes in the main Remmina branch (named next) that fixes some issues with the Gnome integration.

I should not have any other fixes to push, but I'll confirm EOD or tomorrow morning as the latest.

Thanks again!
Comment 5 Henrik Hudson 2018-03-19 21:55:29 UTC
I built this against git revision: 103686e

I updated the patch-ffmpeg29  and patch-winpr_libwinpr_utils_ssl.c to work with that revision. Attached.

However, it fails to connect with the error:
com.winpr.synch.timer] - InitializeWaitableTimer: os specific implementation is missing
Comment 6 Henrik Hudson 2018-03-19 21:56:10 UTC
Created attachment 191646 [details]
patch-ffmpeg29 file
Comment 7 Henrik Hudson 2018-03-19 21:56:49 UTC
Created attachment 191647 [details]
patch-winpr_libwinpr_utils.ssl.c file
Comment 8 Henrik Hudson 2018-03-19 22:50:07 UTC
Okay. way too many changes between rc1 and now. I backported the patch for nla.c and it now works based off the rc1 already in ports.

Ignore the ffpmeg and libwinpr patch. Attached is the nla.c patch.
Comment 9 Henrik Hudson 2018-03-19 22:50:57 UTC
Created attachment 191650 [details]
nla.c patch

This builds and works for me off the current 2.0.0-rc1 port.
Comment 10 Antenore Gatta 2018-03-19 23:12:54 UTC
(In reply to Antenore Gatta from comment #4)


> I've pushed some fixes in the main Remmina branch (named next) that fixes some issues with the Gnome integration.
> 
> I should not have any other fixes to push, but I'll confirm EOD or tomorrow morning as the latest. 
>

I confirm that the latest commit available as today [1], can be considered stable.

[1] https://unix.stackexchange.com/questions/207907/how-to-fix-gpg-key-retrieval-failed-errno-14#207985
Comment 11 Antenore Gatta 2018-03-19 23:19:04 UTC
(In reply to Antenore Gatta from comment #10)

Sorry, wrong URL

Commit: 5f3cc40be2bc1d3d92f0db7cc14affbf0eef4297
https://github.com/FreeRDP/Remmina/commit/5f3cc40be2bc1d3d92f0db7cc14affbf0eef4297
Comment 12 Kyle Evans freebsd_committer 2018-03-21 13:38:48 UTC
Hi,

Just FYI- I have a ports tree patch prepared [1] to backport the fix to -rc1 and bump PORTREVISION on remmina-plugin-rdp and vinagre; this fixes the problem for me. I'd rather wait on updating the port until we can coax FreeRDP folk into releasing an -rc2.

I'm working on getting this committed.

[1] https://people.freebsd.org/~kevans/freerdp-patch.diff
Comment 13 commit-hook freebsd_committer 2018-03-21 14:04:43 UTC
A commit references this bug:

Author: kevans
Date: Wed Mar 21 14:04:06 UTC 2018
New revision: 465177
URL: https://svnweb.freebsd.org/changeset/ports/465177

Log:
  net/freerdp: Fix following recent Windows update, bump dependents

  Patch backported from upstream @ fbe01c7; breakage seems to be that FreeRDP
  will emit an error "ERRCONNECT_PASSWORD_CERTAINLY_EXPIRED" in a context
  where one is certain that that is not the case.

  PR:		226651
  Approved by:	brd (ports), me (maintainer)

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/files/patch-libfreerdp_core_nla.c
  head/net/remmina-plugin-rdp/Makefile
  head/net/vinagre/Makefile
Comment 14 Antenore Gatta 2018-03-22 07:52:27 UTC
Thanks Kyle!
Comment 15 Adriaan de Groot freebsd_committer 2018-04-26 18:31:36 UTC
Has the problem been solved, with this commit? Then the PR can be closed.
Comment 16 Antenore Gatta 2018-04-26 22:00:36 UTC
For me it's ok, can be closed.
Comment 17 Ben Woods freebsd_committer 2018-04-27 00:50:39 UTC
Does this need to be merged to the 2018Q2 ports branch also?
Comment 18 Kyle Evans freebsd_committer 2018-04-27 00:56:00 UTC
Nope- we got it in before 2018Q2 branched and I failed to close it. =)
Comment 19 Ben Woods freebsd_committer 2018-04-27 00:57:08 UTC
Great - thanks Kyle!